# keyfork-shard-combine-openpgp

Combine `threshold` shares into a previously [`split`] secret.

## Arguments

`keyfork-shard-combine-openpgp threshold key_discovery`

* `threshold`: Minimum number of operators present to recover the secret, as
  previously configured when creating the secret
* `recovery_file`: File of OpenPGP Messages from [`split`].
* `key_discovery`: A directory containing OpenPGP keys.
  If the amount of keys found is less than `threshold`, an OpenPGP Card
  fallback will be used to decrypt the rest of the messages.

## Input

When required by OpenPGP cards, a prompt will be presented for PIN entry.

## Output

Hex-encoded secret.

[`split`]: ./split.md
